Test2::Harness::Util::File::JSON(3pm)

NAME
Test2::Harness::Util::File::JSON - Utility class for a JSON file.

DESCRIPTION
Subclass of Test2::Harness::Util::File which automatically handles encoding/decoding JSON data.

SYNOPSIS
    require Test2::Harness::Util::File::JSON;
    my $file = Test2::Harness::Util::File::JSON->new(name => '/path/to/file.json');

    $hash = $file->read;
    # or
    $$file->write({...});

SEE ALSO
See the base class Test2::Harness::Util::File for methods.

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/